org.eclipse.january.dataset

## Class NullStorelessUnivariateStatistic

- java.lang.Object
- - org.eclipse.january.dataset.NullStorelessUnivariateStatistic

- All Implemented Interfaces:
    StorelessUnivariateStatistic, UnivariateStatistic, MathArrays.Function

      public class NullStorelessUnivariateStatistic
      extends Object
      implements StorelessUnivariateStatistic

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullStorelessUnivariateStatistic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `StorelessUnivariateStatistic` | `copy()`
    `double` | `evaluate(double[] arg0)`
    `double` | `evaluate(double[] arg0, int arg1, int arg2)`
    `long` | `getN()`
    `double` | `getResult()`
    `void` | `increment(double arg0)`
    `void` | `incrementAll(double[] arg0)`
    `void` | `incrementAll(double[] arg0, int arg1, int arg2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullStorelessUnivariateStatistic

          public NullStorelessUnivariateStatistic()

  - ### Method Detail

    - #### evaluate

          public double evaluate(double[] arg0)
                          throws MathIllegalArgumentException

      Specified by:
        `evaluate` in interface `UnivariateStatistic`
      Specified by:
        `evaluate` in interface `MathArrays.Function`
      Throws:
        `MathIllegalArgumentException`

    - #### evaluate

          public double evaluate(double[] arg0,
                        int arg1,
                        int arg2)
                          throws MathIllegalArgumentException

      Specified by:
        `evaluate` in interface `UnivariateStatistic`
      Specified by:
        `evaluate` in interface `MathArrays.Function`
      Throws:
        `MathIllegalArgumentException`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `StorelessUnivariateStatistic`

    - #### copy

          public StorelessUnivariateStatistic copy()

      Specified by:
        `copy` in interface `StorelessUnivariateStatistic`
      Specified by:
        `copy` in interface `UnivariateStatistic`

    - #### getN

          public long getN()

      Specified by:
        `getN` in interface `StorelessUnivariateStatistic`

    - #### getResult

          public double getResult()

      Specified by:
        `getResult` in interface `StorelessUnivariateStatistic`

    - #### increment

          public void increment(double arg0)

      Specified by:
        `increment` in interface `StorelessUnivariateStatistic`

    - #### incrementAll

          public void incrementAll(double[] arg0)
                            throws MathIllegalArgumentException

      Specified by:
        `incrementAll` in interface `StorelessUnivariateStatistic`
      Throws:
        `MathIllegalArgumentException`

    - #### incrementAll

          public void incrementAll(double[] arg0,
                          int arg1,
                          int arg2)
                            throws MathIllegalArgumentException

      Specified by:
        `incrementAll` in interface `StorelessUnivariateStatistic`
      Throws:
        `MathIllegalArgumentException`

Copyright © 2017. All rights reserved.